<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Settings;

class ApplicationController extends Controller
{
    /**
     * Display list of Settings fieleds
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // page header
        $title = __('dashboard.title_application');
        $route = null;
        $pageType = 'index';

        // Settings groups
        $groups = Settings::settingsGroups();

        // Settings field types
        $fieldTypes = Settings::settingsFieldTypes();


        return view('application.index',compact('title','route','pageType',
                                                    'groups'));
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {

        // page header
        $title = __('dashboard.title_application');
        $route = null;
        $pageType = 'index';

        // Settings groups
        $groups = Settings::settingsGroups();

        // all input fileds
        $inputRequest = $request->all();
        // remove first with _token
        $removed = array_shift($inputRequest);

        // add values to setting fields
        foreach ($inputRequest as $iKey => $input) {
            
            $updateSetting = Settings::where('key_clean',$iKey)->update([
                'value' => $input
            ]);

        }

        return view('application.index',compact('title','route','pageType',
                                                    'groups'));
    }
}
