<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;

use App\ResultGroup;
use App\Submission;

class ResultController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    function __construct()
    {
         $this->middleware('permission:result-list|result-create|result-edit|result-delete', ['only' => ['index','store']]);
         $this->middleware('permission:result-create', ['only' => ['create','store']]);
         $this->middleware('permission:result-edit', ['only' => ['edit','update']]);
         $this->middleware('permission:result-delete', ['only' => ['destroy']]);

         // TinyMCE
        $tm[0]['selector'] = 'resultBody';
        $tm[0]['upload_url'] = 'results';
        $tm[0]['field_height'] = '300';

        $tm[1]['selector'] = 'itemBodyUpdate';
        $tm[1]['upload_url'] = 'results';
        $tm[1]['field_height'] = '300';

        $this->tm = $tm;
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        // page header
        $title = __('dashboard.title_results');
        $route = route('result-groups.create');
        $pageType = 'index';
        $canCreate = 'resultgroup-create';
        $canExport = 'submission-export';

        $tm = $this->tm;

        $submissionStatuses = Submission::submissionStatus();

        $resultGroups = ResultGroup::orderBy('group_order','ASC')->get();

        return view('results.index',compact('title','route','pageType','canCreate','canExport','tm',
                                                        'resultGroups','submissionStatuses'));

    }
}
