<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Settings extends Model
{
    protected $primaryKey = 'id';
    protected $table = 'settings';

    /**
     * The attributes that are mass assignable.
     *	
     * @var array
     */
    protected $fillable = [
        'key_name', 'key_clean', 'display_name', 'value', 'details', 'type', 'order', 'group'
    ];

    public static function settingsGroups()
    {
        $groups = array(
            'site' => 'Site',
            'competition' => 'Competition',
            'sms' => 'SMS',
            'social' => 'Social'
        );

        return $groups;
    }

    public static function settingsFieldTypes()
    {
        $types = array(
            'text' => 'Text',
            'textarea' => 'Textarea',
            'datepicker' => 'Date',
            'checkbox' => 'Checkbox',
            'image' => 'Image'
        );

        return $types;
    }

    public static function settingsByGroupID($groupID)
    {
        $settings = Settings::where('group',$groupID)
                                ->orderBy('order','ASC')
                                ->get();

        return $settings;
    }

    public static function settingsCompetitionWeeks()
    {
        $settings = Settings::where('group','competition')
                                ->where('type','datepicker')
                                ->orderBy('order')
                                ->get();

        return $settings;
    }


}
