@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">@lang('dashboard.title_number')</th>
                <th>@lang('dashboard.title_name')</th>
                <th>@lang('dashboard.title_parent_category')</th>
                <th>@lang('dashboard.title_display_order')</th>
                <th>@lang('dashboard.title_active')</th>
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($categories as $i => $category)
            <tr>
                <td class="text-center">{{ ++$i }}</td>
                <td>{{ $category->name }}</td>
                <td>{{ $category->pcat_name }}</td>
                <td class="text-center">{{ $category->cat_order }}</td>
                <td class="text-center">
                    @if ($category->active == 1)
                    <i class="far fa-check-circle fa-lg text-success"></i>
                    @else
                    <i class="far fa-times-circle fa-lg text-muted"></i>
                    @endif
                </td>
                <td class="text-center">
                <a class="btn btn-info btn-sm  py-2 my-1" href="{{ route('categories.show',$category->id) }}"><i class="far fa-eye"></i></a>

                @can('category-edit')
                    <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('categories.edit',$category->id) }}"><i class="far fa-edit"></i></a>
                @endcan

                @can('category-delete')

                    <btn_modal_delete
                        :data_del = "{{ json_encode($category) }}"
                        :data_route = "{{ json_encode(route('categories.destroy',$category->id)) }}"
                    ></btn_modal_delete>

                    @include('dashboard.modal_delete')

                @endcan

                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $categories->render() !!}

@endsection