@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">@lang('dashboard.title_number')</th>
                <th>@lang('dashboard.title_title')</th>
                <th>@lang('dashboard.title_category')</th>
                <th>@lang('dashboard.title_author')</th>
                <th>@lang('dashboard.title_featured')</th>
                <th>@lang('dashboard.title_active')</th>
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($posts as $i => $post)
            <tr>
                <td class="text-center">{{ ++$i }}</td>
                <td>{{ $post->title }}</td>
                <td>{{ $post->category->name }}</td>
                <td>{{ $post->author->name }} {{ $post->author->last_name }}</td>
                <td class="text-center">
                    @if($post->featured == 1)
                        <i class="fas fa-check fa-lg text-success"></i>
                    @endif
                </td>
                <td class="text-center">
                    @if ($post->status == 1)
                    <i class="far fa-check-circle fa-lg text-success"></i>
                    @else
                    <i class="far fa-times-circle fa-lg text-muted"></i>
                    @endif
                </td>
                <td class="text-center">
                <a class="btn btn-info btn-sm  py-2 my-1" href="{{ route('posts.show',$post->id) }}"><i class="far fa-eye"></i></a>

                @can('post-edit')
                    <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('posts.edit',$post->id) }}"><i class="far fa-edit"></i></a>
                @endcan

                @can('post-delete')

                    <btn_modal_delete
                        :data_del = "{{ json_encode($post) }}"
                        :data_route = "{{ json_encode(route('posts.destroy',$post->id)) }}"
                    ></btn_modal_delete>

                    @include('dashboard.modal_delete')

                @endcan

                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $posts->render() !!}

@endsection