@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @include('dashboard.modal_create_group_item')
    @include('dashboard.modal_update_group_item')
    @include('dashboard.modal_export_submissions')
    @include('dashboard.modal_delete')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-12">

            <ul class="nav nav-tabs mb-3" id="ex1" role="tablist">
                @foreach ($resultGroups as $rg => $group)
    
                <li class="nav-item" role="rg_{{ $group->id }}">
                    <a
                    class="nav-link {{ ($rg == 0)? 'active':'' }}"
                    id="ex1-tab-{{ $group->id }}"
                    data-mdb-toggle="tab"
                    href="#ex1-tabs-{{ $group->id }}"
                    role="tab"
                    aria-controls="ex1-tabs-{{ $group->id }}"
                    aria-selected="true"
                    >{{ $group->title }}</a
                    >
                </li>
    
                @endforeach
            </ul>

            <div class="tab-content" id="ex1-content">
                @foreach ($resultGroups as $rg => $group)
    
                    <div
                    class="tab-pane fade {{ ($rg == 0)? 'show active':'' }}"
                    id="ex1-tabs-{{ $group->id }}"
                    role="tabpanel"
                    aria-labelledby="ex1-tab-{{ $group->id }}"
                    >
                        <div class="row">
                            <div class="col">
                                <div class="btn btn-dark btn-sm py-2" data-mdb-toggle="modal" data-mdb-target="#createGroupItemModal"><i class="far fa-plus-square mr-3"></i>@lang('dashboard.title_results')</div>
                            </div>
                            <div class="col-auto">
                                @can('resultgroup-edit')
                                <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('result-groups.edit',$group->id) }}"><i class="far fa-edit"></i></a>
                                @endcan

                                @can('resultgroup-delete')

                                    <btn_modal_delete
                                        :data_del = "{{ json_encode($group) }}"
                                        :data_route = "{{ json_encode(route('result-groups.destroy',$group->id)) }}"
                                    ></btn_modal_delete>

                                @endcan
                            </div>
                        </div>

                        <div class="row mt-5">

                            <div class="col">

                                <div class="accordion" id="accordionResultItems">

                                    @foreach ($group->resultItems as $item)

                                        <div class="accordion-item">
                                            <h2 class="accordion-header" id="heading_{{ $item->id }}">
                                            <button
                                                class="accordion-button collapsed"
                                                type="button"
                                                data-mdb-toggle="collapse"
                                                data-mdb-target="#collapse_{{ $item->id }}"
                                                aria-expanded="false"
                                                aria-controls="collapse_{{ $item->id }}"
                                            >
                                                {{ $item->title }}
                                            </button>
                                            </h2>
                                            <div id="collapse_{{ $item->id }}" class="accordion-collapse collapse" aria-labelledby="heading_{{ $item->id }}" data-mdb-parent="#accordionExample">
                                            <div class="accordion-body">

                                                <div class="row">
                                                    <div class="col">
                                                    </div>
                                                    <div class="col-auto">
                                                        @can('resultitem-edit')
                                                        <btn_modal_update_group_item
                                                            :data_upd = "{{ json_encode($item) }}"
                                                            :data_route = "{{ json_encode(route('result-items.update',$item->id)) }}"
                                                            :data_tm = "{{ json_encode($tm) }}"
                                                        ></btn_modal_update_group_item>
                                                        @endcan
                        
                                                        @can('resultitem-delete')
                        
                                                            <btn_modal_delete
                                                                :data_del = "{{ json_encode($item) }}"
                                                                :data_route = "{{ json_encode(route('result-items.destroy',$item->id)) }}"
                                                            ></btn_modal_delete>
                        
                                                        @endcan
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col">

                                                        {!! $item->body !!}

                                                    </div>
                                                </div>
                                            </div>
                                            </div>
                                        </div>
                                        
                                    @endforeach

                                </div>

                            </div>

                        </div>

                    </div>
    
    
                @endforeach
            </div>


        </div>

    </div>

    <tinymce
    :data_tm = "{{ json_encode($tm) }}"
    >
    </tinymce>

@php
// echo '<pre>';
// print_r($resultGroups);
// echo '</pre>';
@endphp
@endsection