@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">@lang('dashboard.title_id')</th>
                <th>@lang('dashboard.title_name')</th>
                {{-- <th>@lang('dashboard.title_description')</th> --}}
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($themePositions as $i => $position)
            <tr>
                <td class="text-center">{{ $position->id }}</td>
                <td class="text-center">{{ $position->name }}</td>
                {{-- <td class="text-center">{!! $position->description !!}</td> --}}
                <td class="text-center">
                <a class="btn btn-info btn-sm  py-2 my-1" href="{{ route('theme-positions.show',$position->id) }}"><i class="far fa-eye"></i></a>

                @can('themeposition-edit')
                    <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('theme-positions.edit',$position->id) }}"><i class="far fa-edit"></i></a>
                @endcan

                @can('themeposition-delete')

                    <btn_modal_delete
                        :data_del = "{{ json_encode($position) }}"
                        :data_route = "{{ json_encode(route('theme-positions.destroy',$position->id)) }}"
                    ></btn_modal_delete>

                    @include('dashboard.modal_delete')

                @endcan

                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $themePositions->render() !!}

@endsection